Index: strlcpy.c
===================================================================
RCS file: /source/radiusd/src/lib/strlcpy.c,v
retrieving revision 1.5
diff -u -8 -p -r1.5 strlcpy.c
--- strlcpy.c	5 Apr 2007 10:52:20 -0000	1.5
+++ strlcpy.c	7 Mar 2008 17:31:54 -0000
@@ -40,17 +40,17 @@ RCSID("$Id: strlcpy.c,v 1.5 2007/04/05 1
 size_t
 strlcpy(char *dst, const char *src, size_t siz)
 {
 	char *d = dst;
 	const char *s = src;
 	size_t n = siz;
 
 	/* Copy as many bytes as will fit */
-	if (n != 0 && --n != 0) {
+	if (n != 0) {
 		do {
 			if ((*d++ = *s++) == 0)
 				break;
 		} while (--n != 0);
 	}
 
 	/* Not enough room in dst, add NUL and traverse rest of src */
 	if (n == 0) {
